import os
from os.path import expanduser
from libcloud.compute.types import Provider
from libcloud.compute.providers import get_driver


class DigitalOceanAuth(object):

	def __init__(self):
		auth = get_driver(Provider.DIGITAL_OCEAN)
		home = expanduser("~")
		token_path = os.path.join(home, '.do', 'token')

	
		with open(token_path) as f:
			token = f.readline()
			self.driver = auth(token)

